<template>
    <div class="auth-wrapper">
      <!-- condition to show the login -->
        <div v-if="!user">
          <!-- login form -->
            <form class="auth-inner" @submit="handleSubmit">
                <h3>Login</h3>
                <div class="form-group">
                    <label>Email</label>
                    <input type="email" class="form-control" v-model="email" placeholder="Email" required/>
                </div>
                <div class="form-group">
                    <label>Password</label>
                    <input type="password" class="form-control" v-model="password" placeholder="Password" required/>
                </div>

                <button class="btn btn-dark btn-block">Login</button>
            </form>
        </div>
        <!-- condition to show the logged in message -->
        <div class="auth-inner" v-if="user">
            <h3>You are logged in!</h3>
            <h5>You can start creating inventories by going into your profile page.</h5>
        </div>
    </div>
</template>

<script>
// Importing axios to make requests to the backend.
import axios from 'axios'
export default {
  name: 'Login',
  props: ['user'],
  data () {
    return {
      baseURL: 'http://localhost:8000/api/',
      email: '',
      password: ''
    }
  },
  methods: {
    // method to send a login request to the backend and set the response token in a local storage
    async handleSubmit () {
      const response = await axios.post(this.baseURL + 'login', {
        email: this.email,
        password: this.password
      })

      localStorage.setItem('token', response.data.token)
      this.$router.go()
    }
  }
}
</script>
